package com.enums;

/**
 * Enum - 删除标志位
 *
 */
public enum VenueTypeEnum {
    BASKETBALL(1, "篮球馆"),
    FITNESS(2, "健身馆"),
    FOOTBALL(3, "足球馆");
    public Integer value;
    public String name;

    VenueTypeEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static VenueTypeEnum getByValue(Integer value) {
        for (VenueTypeEnum type : VenueTypeEnum.values()) {
            if (type.value.equals(value)) {
                return type;
            }
        }
        return null;
    }
}
